import {
	WeaTools
} from 'ecCom'

export const getAuth = (params) => {
	return WeaTools.callApi('/api/hrm/award/getHasRight', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/award/getRightMenu', 'GET', params);
}

export const getTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/award/getSearchList', 'GET', params);
}

export const getSearchItems = (params) => {
	return WeaTools.callApi('/api/hrm/award/getSearchCondition', 'GET', params);
}

export const getForm = (params) => {
	return WeaTools.callApi('/api/hrm/award/getAwardForm?is_multilang_set=true', 'GET', params);
}

export const deleteTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/award/delete', 'POST', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/award/add', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/award/edit', 'POST', params);
}